﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using ThinkGeo.MapSuite.Core;

namespace Clib.Roads
{
    public class Road
    {
        public static void SetDkRoadsIndex(string dkRoadsIndex)
        {
            Road.dkRoadsIndex = dkRoadsIndex;
        }

        public static void SetDkRoads(string dkRoads)
        {
            Road.dkRoads = dkRoads;
        }

        public static string dkRoadsIndex = "";
        public static string dkRoads = "";
        public static FeatureLayer Get()
        {
            FeatureLayer roads = GetDkRoadsLayer(dkRoads);            
            roads.ZoomLevelSet.ZoomLevel11.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            roads.ZoomLevelSet.ZoomLevel11.DefaultLineStyle = LineStyles.LocalRoad4;            
            return roads;
        }

        public static FeatureLayer GetDkRoadsLayer(string roadfile)
        {
            ShapeFileFeatureLayer dkRoadsLayer = Route.Route.GetShapeFileLayer(roadfile);
            dkRoadsLayer.Name = "dkroads";
            return dkRoadsLayer;
        }
    }
}
